# NativeBase
The missing piece of React Native

Get on the mobile fast track with NativeBase, the fastest-growing platform and tool set for iOS and Android development. Get an introduction to NativeBase and work through an instance application that highlights React Native programming techniques.


####
## What is NativeBase?
NativeBase is a free and open source framework that enables developers to build high-quality mobile apps using React Native iOS and Android apps with a fusion of ES6. NativeBase builds a layer on top of React Native that provides you with basic set of components for mobile application development. This helps you to build world-class application experiences on native platforms.


The applications stack of components is built using native UI components and because of that, there are no compromises with the User Experience of the applications. NativeBase is targeted specially on the look and feel, and UI interplay of your app. NativeBase without a doubt fits in well with mobile applications which cuts down one huge part of your app - The Front end.

What is really great is that you can use shared UI cross-platform components, which will drastically increase your productivity. When using NativeBase, you can use any native third-party libraries out of the box. You do not need to use wrappers or do any other actions. The new additions to the native platform are available immediately. NativeBase provides amazing support for adding components, so that you will by no means hit a lifeless stop. [Read More. . .](http://nativebase.io/documentation)

One import statement, and you get all React Native and NativeBase components.
```
import { list of Components } from 'native-base';
```

####
## Why NativeBase?
<center>![with-and-without-nativebase](./img/with-and-without-nativebase.jpg)</center>

Do you still have a question **Why NativeBase**?

If yes then go ahead and watch this magic.


####
## Magic of NativeBase
<center>[![magic](./img/magic.png)](http://nativebase.io/docs/v0.2.1/assets/img/magic-with-nativebase-020.mp4)</center>

<i>Click to watch the magic</i>


####
## Get Started

To have NativeBase components running onto your native apps, all you need to do is create a fresh React Native project and install the NativeBase command line tools.

```
react-native init AwesomeNativeBase

cd AwesomeNativeBase

npm install
```

Include NativeBase into your React Native project.
```
npm install native-base --save
```

Now you are ready to get going with NativeBase. [Read More. . .](http://nativebase.io/documentation)

####
## Components

NativeBase is made from effective building blocks referred to as components. The Components are constructed in pure React Native platform along with some JavaScript functionality with rich set of customisable properties. These components allow you to quickly build the perfect interface. [Read More. . .](http://nativebase.io/documentation)

#### [**Live Demo**](http://nativebase.io/components)

####
## Quick Links to NativeBase

*	[NativeBase on Twitter](https://twitter.com/NativeBaseIO)
*	[NativeBase Blog](https://medium.com/nativebase-io-blog)
*	[NativeBase Documentation](http://nativebase.io/documentation)


####
## Documentation

Go through [NativeBase Docs](http://nativebase.io/documentation) to play with NativeBase.

####
# Website
[http://nativebase.io/](http://nativebase.io/)
